Appearance
组织续期
PUT
/openapi/v3/organizations/:id/renew
当组织进入待续期状态时,可通过该接口触发组织续期。接口复用现有业务续期逻辑,仅允许满足续期条件的组织执行。
路径参数
| 参数 | 类型 | 必填 | 说明 |
|---|---|---|---|
| id | string | 是 | 组织 ID |
请求示例
bash
curl -X PUT 'https://api.certcloud.cn/openapi/v3/organizations/yAvsAzQ6/renew' \
-H 'X-CC-Auth-Key: your-auth-key' \
-H 'X-CC-Key-ID: your-key-id'1
2
3
2
3
javascript
const response = await fetch('https://api.certcloud.cn/openapi/v3/organizations/yAvsAzQ6/renew', {
method: 'PUT',
headers: {
'X-CC-Auth-Key': 'your-auth-key',
'X-CC-Key-ID': 'your-key-id',
}
})
const data = await response.json()1
2
3
4
5
6
7
8
2
3
4
5
6
7
8
go
req, _ := http.NewRequest("PUT", "https://api.certcloud.cn/openapi/v3/organizations/yAvsAzQ6/renew", nil)
req.Header.Set("X-CC-Auth-Key", "your-auth-key")
req.Header.Set("X-CC-Key-ID", "your-key-id")
resp, err := http.DefaultClient.Do(req)1
2
3
4
2
3
4
python
import requests
response = requests.put(
'https://api.certcloud.cn/openapi/v3/organizations/yAvsAzQ6/renew',
headers={
'X-CC-Auth-Key': 'your-auth-key',
'X-CC-Key-ID': 'your-key-id',
}
)
data = response.json()1
2
3
4
5
6
7
8
9
10
2
3
4
5
6
7
8
9
10
以下响应示例中的域名和邮箱使用标准示例值,其他身份和联系信息保留星号脱敏格式,仅用于展示字段结构。
200成功
json
{
"data": {
"org_info": {
"id": "KtXhx5xt",
"name": "上海****有限公司",
"address_line1": "上海市徐汇区****路****号",
"city": "上海市",
"state": "上海市",
"postal_code": "200233",
"country": "CN",
"phone": "021-****0000",
"verify_types": ["ds"],
"admin_user": {
"first_name": "wa****",
"last_name": "ly****",
"job_title": "test",
"telephone": "138****0000",
"id_type": "1",
"id_number": "110101********0000",
"email": "mail@example.com"
},
"contact": {
"first_name": "wa****",
"last_name": "ly****",
"job_title": "test",
"telephone": "138****0000",
"id_type": "1",
"id_number": "110101********0000",
"email": "mail@example.com"
},
"telephone": "021-****0000",
"zip_code": "200233",
"validations": [
{
"type": "ds",
"name": "ds",
"description": "ds",
"status": "active",
"created_time": "2026-01-09T14:25:07+08:00",
"expire_time": "2027-01-11T14:26:42+08:00"
}
],
"created_time": "2026-01-09T06:24:25Z",
"status": "pre_approval"
}
},
"code": "success"
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
